"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.diff = void 0;
const git_1 = require("./git");
const isLineWithinRange = (line) => (range) => range.isWithinRange(line);
exports.diff = {
  postprocess: (messages, filename) =>
    messages
      .map((message) =>
        message.filter((message) =>
          git_1
            .getRangesForDiff(git_1.getDiffForFile(filename))
            .some(isLineWithinRange(message.line))
        )
      )
      .flat(),
};
//# sourceMappingURL=postprocess.js.map
