"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.stagedConfig = exports.staged = exports.diffConfig = exports.diff = void 0;
const git_1 = require("./git");
const STAGED = true;
const isLineWithinRange = (line) => (range) => range.isWithinRange(line);
const diff = {
    postprocess: (messages, filename) => messages
        .map((message) => message.filter((message) => git_1.getRangesForDiff(git_1.getDiffForFile(filename)).some(isLineWithinRange(message.line))))
        .flat(),
    supportsAutofix: true,
};
exports.diff = diff;
const diffConfig = {
    plugins: ["diff"],
    overrides: [
        {
            files: ["*"],
            processor: "diff/diff",
        },
    ],
};
exports.diffConfig = diffConfig;
const staged = {
    postprocess: (messages, filename) => messages
        .map((message) => message.filter((message) => git_1.getRangesForDiff(git_1.getDiffForFile(filename, STAGED)).some(isLineWithinRange(message.line))))
        .flat(),
    supportsAutofix: true,
};
exports.staged = staged;
const stagedConfig = {
    plugins: ["diff"],
    overrides: [
        {
            files: ["*"],
            processor: "diff/staged",
        },
    ],
};
exports.stagedConfig = stagedConfig;
//# sourceMappingURL=processors.js.map