"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const child_process = __importStar(require("child_process"));
const utils_1 = require("ts-jest/utils");
const diff_1 = require("./__fixtures__/diff");
jest.mock("child_process");
const mockedChildProcess = utils_1.mocked(child_process, true);
const processors_1 = require("./processors");
const postprocessArguments_1 = require("./__fixtures__/postprocessArguments");
const [messages, filename] = postprocessArguments_1.postprocessArguments;
describe("processors", () => {
    it("diff", () => {
        mockedChildProcess.execSync.mockReturnValue(Buffer.from(diff_1.diff));
        expect(processors_1.diff.postprocess(messages, filename)).toMatchSnapshot();
        expect(mockedChildProcess.execSync).toHaveBeenCalled();
    });
    it("staged", () => {
        mockedChildProcess.execSync.mockReturnValue(Buffer.from(diff_1.staged));
        expect(processors_1.staged.postprocess(messages, filename)).toMatchSnapshot();
        expect(mockedChildProcess.execSync).toHaveBeenCalled();
    });
});
describe("configs", () => {
    it("diff", () => {
        expect(processors_1.diffConfig).toMatchSnapshot();
    });
    it("staged", () => {
        expect(processors_1.stagedConfig).toMatchSnapshot();
    });
});
//# sourceMappingURL=processors.test.js.map